> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Images



## OpenAPI

````yaml https://api.mynth.io/openapi.json post /image/upload
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /image/upload:
    post:
      tags:
        - Image
      summary: Upload Images
      operationId: postImageUpload
      responses:
        '200':
          description: Images uploaded
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      urls:
                        type: array
                        items:
                          type: string
                    required:
                      - urls
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````